<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:47 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface io.mosip.registration.device.fp.MosipFingerprintProvider (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface io.mosip.registration.device.fp.MosipFingerprintProvider (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/fp/class-use/MosipFingerprintProvider.html" target="_top">Frames</a></li>
<li><a href="MosipFingerprintProvider.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface io.mosip.registration.device.fp.MosipFingerprintProvider" class="title">Uses of Interface<br>io.mosip.registration.device.fp.MosipFingerprintProvider</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">MosipFingerprintProvider</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.device.fp">io.mosip.registration.device.fp</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.device.fp.impl">io.mosip.registration.device.fp.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.device.fp">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">MosipFingerprintProvider</a> in <a href="../../../../../../io/mosip/registration/device/fp/package-summary.html">io.mosip.registration.device.fp</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../io/mosip/registration/device/fp/package-summary.html">io.mosip.registration.device.fp</a> that implement <a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">MosipFingerprintProvider</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html" title="class in io.mosip.registration.device.fp">FingerprintProvider</a></span></code>
<div class="block">This will capture the fingerprint based on the device type</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../io/mosip/registration/device/fp/package-summary.html">io.mosip.registration.device.fp</a> that return <a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">MosipFingerprintProvider</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">MosipFingerprintProvider</a></code></td>
<td class="colLast"><span class="typeNameLabel">FingerprintFacade.</span><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/fp/FingerprintFacade.html#getFingerprintProviderFactory-java.lang.String-">getFingerprintProviderFactory</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;make)</code>
<div class="block">Assign all the Fingerprint providers which extends the
 MosipFingerprintProvider to the list.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../io/mosip/registration/device/fp/package-summary.html">io.mosip.registration.device.fp</a> with type arguments of type <a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">MosipFingerprintProvider</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FingerprintFacade.</span><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/fp/FingerprintFacade.html#setFingerprintProviders-java.util.List-">setFingerprintProviders</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">MosipFingerprintProvider</a>&gt;&nbsp;fingerprintProviders)</code>
<div class="block">Sets the fingerprint providers.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.device.fp.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">MosipFingerprintProvider</a> in <a href="../../../../../../io/mosip/registration/device/fp/impl/package-summary.html">io.mosip.registration.device.fp.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../io/mosip/registration/device/fp/impl/package-summary.html">io.mosip.registration.device.fp.impl</a> that implement <a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">MosipFingerprintProvider</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/fp/impl/MantraFingerprintProvider.html" title="class in io.mosip.registration.device.fp.impl">MantraFingerprintProvider</a></span></code>
<div class="block">Mantra finger print device specific functionality implemented.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/fp/class-use/MosipFingerprintProvider.html" target="_top">Frames</a></li>
<li><a href="MosipFingerprintProvider.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
